> ## Documentation Index
> Fetch the complete documentation index at: https://api.docs.flare.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Organization Members

<Icon icon="key" size={16} /> Required API key permission: **Read Organization**


## OpenAPI

````yaml firework-v2-openapi get /firework/v2/organizations/{organization_id}/members
openapi: 3.0.1
info:
  description: >

    Manage and access Firework resources.


    Requests are authenticated with API tokens, which are obtained using an API
    key:


    1. Generate an API key from the [Profile
    page](https://app.flare.io/#/profile).

    2. Send a `POST` request to `https://api.flare.io/tokens/generate` with the
    `Authorization: <api-key>` header to get an API token. API tokens expire
    after 1 hour.

    3. Call the API endpoints with the `Authorization: Bearer <api-token>`
    header.


    See [Authentication](https://api.docs.flare.io/concepts/authentication) for
    details.
  title: Firework API
  version: v2
servers:
  - url: https://api.flare.io/
security:
  - BearerAuth: []
tags:
  - description: Searches the threat activity database.
    name: search
  - description: Manage a user's or organization's identifiers
    name: Identifiers
  - description: Perform actions on activities.
    name: activities
  - description: Perform actions on the current user.
    name: me
  - description: Manage tenants.
    name: tenants
  - description: Admin management of organizations.
    name: organizations
  - description: Manage reporting as an admin.
    name: reporting
paths:
  /firework/v2/organizations/{organization_id}/members:
    get:
      tags:
        - organizations
      operationId: get_organization_members_api
      parameters:
        - in: path
          name: organization_id
          required: true
          schema:
            type: integer
        - in: query
          name: size
          schema:
            default: 20
            type: integer
        - in: query
          name: from
          schema:
            type: string
        - in: query
          name: q
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OrganizationMemberPage'
          description: Success
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HttpError'
          description: Organization not found
components:
  schemas:
    OrganizationMemberPage:
      properties:
        members:
          items:
            $ref: '#/components/schemas/OrganizationMemberWithMetadata'
          type: array
      type: object
    HttpError:
      properties:
        message:
          type: string
        code:
          type: string
      type: object
    OrganizationMemberWithMetadata:
      properties:
        user:
          $ref: '#/components/schemas/OrganizationMember'
        tenant_count:
          type: integer
      type: object
    OrganizationMember:
      properties:
        id:
          type: integer
        name:
          type: string
        surname:
          type: string
        email:
          type: string
        organization_member_permissions:
          $ref: '#/components/schemas/OrganizationMemberPermission'
        is_disabled:
          type: boolean
        registered_at:
          format: date-time
          type: string
        urn:
          description: The uniform resource name of the member.
          type: string
      type: object
    OrganizationMemberPermission:
      properties:
        '*':
          additionalProperties:
            type: boolean
          type: object
      type: object
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.